@import '../../../../../scss/variables.scss';
@import '../../../../../scss/portal-communes';
@import '../../../../../../node_modules/bulma/sass/utilities/_all.sass';

.menu {
  padding: 0;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow-y: auto;

  @media screen and (max-width: $tablet) {
    overflow: scroll;
  }

  span {
    color: white;
    font-size: 1rem;
    line-height: 1.4;
  }

  .signin-menu {
    padding-top: 0.625rem;
  }

  .bottom-menu-section {
    width: 100%;
    text-align: center;
    background-color: var( --commune-color-var, $brand-color);
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 2rem 2.375rem;

    .version-item {
      grid-column: 1 / span 2;
      grid-row: 1;
      font-size: 0.75rem;
      color: $grey-super-light-color;
    }

    .language {
      text-transform: uppercase;
      font-size: 0.875rem;
      color: $grey-super-light-color;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;

      &:hover {
        text-decoration: underline;
      }
    }

    .language.is-active {
      color: white;
      background-color: $background-link-hover-color;
    }

    .language-fr {
      grid-column: 1 / span 1;
      grid-row: 2;
    }

    .language-en {
      grid-column: 2 / span 1;
      grid-row: 2;
    }
  }
}

.menu-list {
  @media screen and (max-width: $desktop) {
    text-align: center;
  }

  li {
    text-align: left;
  }

  a {
    padding: 1.4rem calc(1.5rem - 3px);
    display: flex;
    align-items: center;
  }

  .icon-item {
    margin-right: 0.7rem;
    width: 1.45rem;
    display: flex;
    justify-content: center;
    flex-shrink: 0;

    svg {
      height: 1.45rem;

      .main {
        fill: white;
      }

      .stroke-main {
        stroke: white;
      }
    }

    img {
      height: 1.2rem;
    }
  }

  li:not(.search-bar-menu) a {
    border-left: 3px solid $brand-color;

    &.active-link {
      border-color: $tomato-color;
      background-color: $background-link-hover-color;

      .icon-item svg .main {
        fill: $menu-selected-color;
      }

      span {
        color: $menu-selected-color;
      }
    }

    &:hover {
      color: white;
      background-color: $background-link-hover-color;
    }

    &:hover:not(.active-link) {
      border-left: 3px solid $background-link-hover-color;
    }
  }
}
